Support » Fixing WordPress » Health Check Background error

  • Resolved scsiraidguru

    (@scsiraidguru)


    I created a new site with OceanWP theme. Only plugins are Elementor, WordPress HTTPS and Health Check plug in. This health check plugin is starting to bug me.

    Background updates ensure that WordPress can auto-update if a security update is released for the version you are currently using.

    Error A plugin has prevented updates by disabling wp_version_check().
    Passed No version control systems were detected.
    Passed Your installation of WordPress doesn’t require FTP credentials to perform updates.
    Passed All of your WordPress files are writable.

Viewing 15 replies - 1 through 15 (of 16 total)
  • Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    It sounds like you have a plugin that disabled wp_version_check()

    Deactivate each plugin until that error goes away, and you’ll find the culprit.

    Health Check isn’t bugging you, it’s offering a suggestion to help you run a secure and efficient site. 😉

    Same ones I use on each of the other 4 sites and don’t get this error. I deactivated all of them except Health Check. Same error. Only thing different is I am using OceanWP Theme instead of Struct.

    wp.mylibertarianblogpage.com - - [20/Sep/2019:17:05:50 -0400] "GET /wp-login.php?redirect_to=https%3A%2F%2Fwp.mylibertarianblogpage.com%2Fwp-admin%2F%3Fhealth-check-test-wp_version_check%3D1&reauth=1 HTTP/1.1" 200 10053 "https://wp.mylibertarianblogpage.com/wp-login.php?redirect_to=https%3A%2F%2Fwp.mylibertarianblogpage.com%2Fwp-admin%2F%3Fhealth-check-test-wp_version_check%3D1&reauth=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [20/Sep/2019:17:06:04 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [20/Sep/2019:17:06:46 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [20/Sep/2019:17:09:42 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:14:47:04 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:25:10 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:30:14 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:30:18 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:30:40 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 302 6860 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:30:40 -0400] "GET /wp-login.php?redirect_to=https%3A%2F%2Fwp.mylibertarianblogpage.com%2Fwp-admin%2F%3Fhealth-check-test-wp_version_check%3D1&reauth=1 HTTP/1.1" 200 9981 "https://wp.mylibertarianblogpage.com/wp-login.php?redirect_to=https%3A%2F%2Fwp.mylibertarianblogpage.com%2Fwp-admin%2F%3Fhealth-check-test-wp_version_check%3D1&reauth=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:19:30:45 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:20:13:14 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    wp.mylibertarianblogpage.com - - [21/Sep/2019:20:13:21 -0400] "GET /wp-admin/?health-check-test-wp_version_check=1 HTTP/1.1" 200 6683 "https://wp.mylibertarianblogpage.com/wp-admin/?health-check-test-wp_version_check=1" "WordPress/5.2.3; https://wp.mylibertarianblogpage.com"
    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    Any difference if you switch to a different theme?

    I haven’t tried that yet. I will take a good backup and then try that. I would think that is the issue. I was using Struct from CSSIgniter. I decided to try OceanWP.

    Hi,
    maker of Struct here.

    the theme doesn’t disable or does anything related to the ‘wp_version_check’ hook and wp_version_check() function.

    By all means, however, enable one of the default themes and see if the problem persists. I’m very interested in knowing your results.

    I switched to default theme nineteen. Same error. The fonts exploded on it. I switched back to OceanWP. I am using the top bar and header bar.

    https://wp.mylibertarianblogpage.com/

    I turned off the plugins and still had it too. I wonder if OceanWP has an upgrade yet?

    I installed Struct with the same error. I wonder if I should try reinstall of WP?

    You have the latest version of WordPress. Future security updates will be applied automatically.

    If you need to re-install version 5.2.3, you can do so here:

    I doubt re-installing WordPress would help.
    I’d be suspicious of your hosting provider and/or their tools.
    Perhaps if it’s a “managed WordPress” hosting they disable it automatically so they can apply updates themselves.
    Or maybe if you installed WordPress via Softaculous (cPanel) or something similar, it may hijack core updates in favor of their own system.

    It is at my house. I have a HP DL 360e Gen8 Server with VMware 6 on it. It is behind a Fortinet 60E firewall.

    The VM with this web site has two others on it. They both only have the Health Check SQL error. I never installed C Panel for it. I have phpMyAdmin 4.9.0.1 for the databases.

    Operating System: Ubuntu 18.04.3 LTS
    Kernel: Linux 5.0.0-29-generic

    apache2 -v
    Server version: Apache/2.4.41 (Ubuntu)
    Server built: 2019-08-21T20:43:21

    php -v
    PHP 7.3.9-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Sep 2 2019 12:54:24) ( NTS )
    Copyright (c) 1997-2018 The PHP Group
    Zend Engine v3.3.9, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.3.9-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

    mysql -V
    mysql Ver 15.1 Distrib 10.4.8-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2

    Wordfence scan found nothing. I removed all entries from .htaccess. Still get it.


    PHP Compatibility Checker

    HP 7.3 compatible.

    Name: Health Check & Troubleshooting

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/health-check/includes/class-health-check-site-status.php
    ———————————————————————————————————————————–
    FOUND 2 ERRORS AFFECTING 2 LINES
    ———————————————————————————————————————————–
    52 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    1097 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead
    ———————————————————————————————————————————–

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/health-check/includes/class-health-check-debug-data.php
    ———————————————————————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    ———————————————————————————————————————————-
    756 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0; Use mysqli instead

    Name: WordPress HTTPS

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/wordpress-https/view/metabox/donate.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/wordpress-https/view/metabox/donate2.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/wordpress-https/view/metabox/support.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/wp.mylibertarianblogpage.com/public_html/wp-content/plugins/wordpress-https/view/metabox/feedback.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.

    Moderator James Huff

    (@macmanx)

    Volunteer Moderator

    Thanks to everyone for all the help.

    I didn’t even know those settings existed. Interesting. I am going to read that page. Thanks.

    I salted the keys.

    https://wpbuffs.com/wordpress-security-keys-salts/

    The wp-config was moved for each site. I use an include statement in the wp-config.php file.

    https://science.scsiraidguru.com/ has only SQL error
    https://wp.pandjmckenneyfamily.com has only the SQL error

    This server was created as http://new.mylibertarianblogpage.com. I copied the pages that were broken into it. Elementor was broke. It wouldn’t open the pages. The pages were text, pictures, and links to web site content. I used edit to open the broken site to copy the content. Then used Elementor to rename it to https://wp.mylibertarianblogpage.com. I used Duplicator to move the web site back to wp.mylibertarianblogpage.com. I used phpMyAdmin to drop all the tables from the old site from its database.

    Does WP has a debug mode that would show errors in each page? I took the content that was mainly on the homepage and broke it up into pages and subpages for the menu. I wanted less content on the homepage.

    I deleted the access.log and error.log for this site. I reloaded apache to recreate them. I set wp-debug to true. I touched each page. all 200 codes except one 404

    [23/Sep/2019:15:25:49 -0400] “GET /favicon.ico HTTP/1.1” 404 529 “-” “Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:69.0) Gecko/20100101 Firefox/69.0”

    sudo touch favicon.ico should stop this.

    • This reply was modified 10 months, 3 weeks ago by scsiraidguru.
Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘Health Check Background error’ is closed to new replies.